DeltaSessionInterface (Apache Geode 1.13.6)
Date: 2021-12-14

org.apache.geode.modules.session.catalina

## Interface DeltaSessionInterface

- All Superinterfaces:
    org.apache.catalina.Session
  All Known Implementing Classes:
    DeltaSession, DeltaSession7, DeltaSession8, DeltaSession9

      public interface DeltaSessionInterface
      extends org.apache.catalina.Session

- - ### Field Summary

    - ### Fields inherited from interface org.apache.catalina.Session

      `SESSION_ACTIVATED_EVENT, SESSION_CREATED_EVENT, SESSION_DESTROYED_EVENT, SESSION_PASSIVATED_EVENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()`
    `void` | `activate()`
    `void` | `applyAttributeEvents(Region<String,DeltaSessionInterface> region, List<org.apache.geode.modules.session.catalina.internal.DeltaSessionAttributeEvent> events)`
    `void` | `commit()`
    `void` | `fromData(DataInput is)`
    `String` | `getContextName()`
    `boolean` | `getExpired()`
    `boolean` | `isValid()`
    `void` | `localDestroyAttribute(String name)`
    `void` | `localUpdateAttribute(String attributeName, Object attributeValue)`
    `void` | `processExpired()`
    `void` | `setOwner(Object manager)`
    `void` | `toData(DataOutput os)`

    - ### Methods inherited from interface org.apache.catalina.Session

      `access, addSessionListener, endAccess, expire, getAuthType, getCreationTime, getId, getIdInternal, getInfo, getLastAccessedTime, getLastAccessedTimeInternal, getManager, getMaxInactiveInterval, getNote, getNoteNames, getPrincipal, getSession, recycle, removeNote, removeSessionListener, setAuthType, setCreationTime, setId, setId, setManager, setMaxInactiveInterval, setNew, setNote, setPrincipal, setValid`

- - ### Method Detail

    - #### commit

          void commit()

    - #### abort

          void abort()

    - #### isValid

          boolean isValid()

      Specified by:
        `isValid` in interface `org.apache.catalina.Session`

    - #### localDestroyAttribute

          void localDestroyAttribute(String name)

    - #### applyAttributeEvents

          void applyAttributeEvents(Region<String,DeltaSessionInterface> region,
                                    List<org.apache.geode.modules.session.catalina.internal.DeltaSessionAttributeEvent> events)

    - #### localUpdateAttribute

          void localUpdateAttribute(String attributeName,
                                    Object attributeValue)

    - #### toData

          void toData(DataOutput os)
               throws IOException

      Throws:
        `IOException`

    - #### fromData

          void fromData(DataInput is)
                 throws IOException,
                        ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getContextName

          String getContextName()

    - #### getExpired

          boolean getExpired()

    - #### setOwner

          void setOwner(Object manager)

    - #### activate

          void activate()

    - #### processExpired

          void processExpired()